tessellimage(6)

NAME
tessellimage - Converts an image to triangles using Delaunay tessellation.

SYNOPSIS
tessellimage [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--delay number] [--duration number] [--duration2 number] [--max-depth number] [--max-resolution pixels] [--no-outline] [--no-fill-screen] [--fps]

DESCRIPTION
Converts an image to triangles using Delaunay tessellation, and animates the result at various depths. More triangles are allocated to visually complex parts of the image. This is accomplished by first computing the first derivative of the image: the distance between each pixel and its neighbors. Then the Delaunay control points are chosen by selecting those pixels whose distance value is above a certain threshold: those are the pixels that have the largest change in color/brightness.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--delay number
    Per-frame delay, in microseconds. Default: 30000 (0.03 seconds).

--duration number
    Length of time until loading a new image. Default: 2 minutes.

--duration2 number
    Length of time until increasing or decreasing the triangulation depth. Default: 0.4 seconds.

--max-depth number
    The maximum number of triangles to render. Default: 40000.

--max-resolution pixels
    The size of the loaded image will be constrained to this width or height, to reduce the number of pixels examined. Think of it as an initial low-pass filter. Default 1024.

--outline | --no-outline
    Whether to outline the triangles.

--fill-screen | --no-fill-screen
    Whether to zoom in on the image to completely fill the screen, or to center it.

--fps | --no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2014-2018 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski.